Skip to content

Get 'ApartmentVacancyLossNotation'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/objects/spaces/vacancies/apartmentvacancylossnotation/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/objects/spaces/vacancies/apartmentvacancylossnotation/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

titlestring, <= 255 charactersrequired
valuenumber, (float)required
articleobject(Article)required
vatinteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 0 - Vat 0

  • 6 - Vat 6

  • 12 - Vat 12

  • 25 - Vat 25

Enum:061225
vacancy_notationobject(ApartmentVacancyNotation)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
indexation_settingobject or null(IndexationSetting)

Additional Validation Information:

This value must be set together with the following fields: indexation_base_year

indexation_base_yearinteger or null, (int32), [ 1900 .. 9000 ]

Additional Validation Information:

This value must be set together with the following fields: indexation_setting

indexation_value_quotanumber or null, (float)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: indexation_firm_value

This value requires that the following fields are also set: indexation_base_year

indexation_firm_valuenumber or null, (float)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: indexation_value_quota

This value requires that the following fields are also set: indexation_base_year

start_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: end_date

end_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: start_date

custom_dimension_valuestring or null, <= 255 characters
source_row_content_typeobject or null(Innehållstyp)

Additional Validation Information:

This value must be set together with the following fields: source_row_object_id

source_row_object_idstring or null, (uuid)

Additional Validation Information:

This value must be set together with the following fields: source_row_content_type

Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "title": "string", "value": 0.1, "article": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "vat": 0, "indexation_setting": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "indexation_base_year": 1900, "indexation_value_quota": 0.1, "indexation_firm_value": 0.1, "start_date": "2019-08-24", "end_date": "2019-08-24", "custom_dimension_value": "string", "source_row_content_type": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "source_row_object_id": "d44585c8-7939-493c-aafc-e82e4822bf7c", "vacancy_notation": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }